package com.mortals.xhx.module.area.model;

import java.util.List;
import com.mortals.xhx.module.area.model.AreaEntity;
/**
* 区域查询对象
*
* @author zxfei
* @date 2022-01-12
*/
public class AreaQuery extends AreaEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 祖级列表，逗号分隔 */
    private List<String> ancestorsList;

    /** 区域名称 */
    private List<String> nameList;

    /** 一体化的ID号 */
    private List<String> iidList;

    /** 一体化的父id */
    private List<String> pidList;

    /** 是否有下级区域（True.是，False.否） */
    private List<String> haveSonAreaList;

    /** 是否有下级部门（True.是，False.否） */
    private List<String> haveSonDeptList;

    /** 是否获取部门（true.是，false.否） */
    private List<String> haveGetDeptList;

    /** 是否获取事项列表（true.是，false.否） */
    private List<String> haveGetMatterListList;

    /** 区域编码 */
    private List<String> areaCodeList;

    /** 开始 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区) */
    private Integer areaLevelStart;

    /** 结束 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区) */
    private Integer areaLevelEnd;

    /** 增加 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区) */
    private Integer areaLevelIncrement;

    /** 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)列表 */
    private List <Integer> areaLevelList;

    /** 名称简称 */
    private List<String> shortNameList;

    /** 访问地址 */
    private List<String> domainList;

    /** 开始 区域状态 (0.停用，1.正常) */
    private Integer statusStart;

    /** 结束 区域状态 (0.停用，1.正常) */
    private Integer statusEnd;

    /** 增加 区域状态 (0.停用，1.正常) */
    private Integer statusIncrement;

    /** 区域状态 (0.停用，1.正常)列表 */
    private List <Integer> statusList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AreaQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AreaQuery> andConditionList;

    public AreaQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 祖级列表，逗号分隔
    * @return ancestorsList
    */
    public List<String> getAncestorsList(){
        return this.ancestorsList;
    }

    /**
    * 设置 祖级列表，逗号分隔
    * @param ancestorsList
    */
    public void setAncestorsList(List<String> ancestorsList){
        this.ancestorsList = ancestorsList;
    }
    /**
    * 获取 区域名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 区域名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 一体化的ID号
    * @return iidList
    */
    public List<String> getIidList(){
        return this.iidList;
    }

    /**
    * 设置 一体化的ID号
    * @param iidList
    */
    public void setIidList(List<String> iidList){
        this.iidList = iidList;
    }
    /**
    * 获取 一体化的父id
    * @return pidList
    */
    public List<String> getPidList(){
        return this.pidList;
    }

    /**
    * 设置 一体化的父id
    * @param pidList
    */
    public void setPidList(List<String> pidList){
        this.pidList = pidList;
    }
    /**
    * 获取 是否有下级区域（True.是，False.否）
    * @return haveSonAreaList
    */
    public List<String> getHaveSonAreaList(){
        return this.haveSonAreaList;
    }

    /**
    * 设置 是否有下级区域（True.是，False.否）
    * @param haveSonAreaList
    */
    public void setHaveSonAreaList(List<String> haveSonAreaList){
        this.haveSonAreaList = haveSonAreaList;
    }
    /**
    * 获取 是否有下级部门（True.是，False.否）
    * @return haveSonDeptList
    */
    public List<String> getHaveSonDeptList(){
        return this.haveSonDeptList;
    }

    /**
    * 设置 是否有下级部门（True.是，False.否）
    * @param haveSonDeptList
    */
    public void setHaveSonDeptList(List<String> haveSonDeptList){
        this.haveSonDeptList = haveSonDeptList;
    }
    /**
    * 获取 是否获取部门（true.是，false.否）
    * @return haveGetDeptList
    */
    public List<String> getHaveGetDeptList(){
        return this.haveGetDeptList;
    }

    /**
    * 设置 是否获取部门（true.是，false.否）
    * @param haveGetDeptList
    */
    public void setHaveGetDeptList(List<String> haveGetDeptList){
        this.haveGetDeptList = haveGetDeptList;
    }
    /**
    * 获取 是否获取事项列表（true.是，false.否）
    * @return haveGetMatterListList
    */
    public List<String> getHaveGetMatterListList(){
        return this.haveGetMatterListList;
    }

    /**
    * 设置 是否获取事项列表（true.是，false.否）
    * @param haveGetMatterListList
    */
    public void setHaveGetMatterListList(List<String> haveGetMatterListList){
        this.haveGetMatterListList = haveGetMatterListList;
    }
    /**
    * 获取 区域编码
    * @return areaCodeList
    */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
    * 设置 区域编码
    * @param areaCodeList
    */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }
    /**
    * 获取 开始 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    * @return areaLevelStart
    */
    public Integer getAreaLevelStart(){
        return this.areaLevelStart;
    }

    /**
    * 设置 开始 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    * @param areaLevelStart
    */
    public void setAreaLevelStart(Integer areaLevelStart){
        this.areaLevelStart = areaLevelStart;
    }

    /**
    * 获取 结束 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    * @return $areaLevelEnd
    */
    public Integer getAreaLevelEnd(){
        return this.areaLevelEnd;
    }

    /**
    * 设置 结束 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    * @param areaLevelEnd
    */
    public void setAreaLevelEnd(Integer areaLevelEnd){
        this.areaLevelEnd = areaLevelEnd;
    }

    /**
    * 获取 增加 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    * @return areaLevelIncrement
    */
    public Integer getAreaLevelIncrement(){
        return this.areaLevelIncrement;
    }

    /**
    * 设置 增加 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    * @param areaLevelIncrement
    */
    public void setAreaLevelIncrement(Integer areaLevelIncrement){
        this.areaLevelIncrement = areaLevelIncrement;
    }

    /**
    * 获取 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    * @return areaLevelList
    */
    public List<Integer> getAreaLevelList(){
        return this.areaLevelList;
    }

    /**
    * 设置 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    * @param areaLevelList
    */
    public void setAreaLevelList(List<Integer> areaLevelList){
        this.areaLevelList = areaLevelList;
    }

    /**
    * 获取 名称简称
    * @return shortNameList
    */
    public List<String> getShortNameList(){
        return this.shortNameList;
    }

    /**
    * 设置 名称简称
    * @param shortNameList
    */
    public void setShortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
    }
    /**
    * 获取 访问地址
    * @return domainList
    */
    public List<String> getDomainList(){
        return this.domainList;
    }

    /**
    * 设置 访问地址
    * @param domainList
    */
    public void setDomainList(List<String> domainList){
        this.domainList = domainList;
    }
    /**
    * 获取 开始 区域状态 (0.停用，1.正常)
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 区域状态 (0.停用，1.正常)
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 区域状态 (0.停用，1.正常)
    * @return $statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 区域状态 (0.停用，1.正常)
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 区域状态 (0.停用，1.正常)
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 区域状态 (0.停用，1.正常)
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 区域状态 (0.停用，1.正常)
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 区域状态 (0.停用，1.正常)
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AreaQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AreaQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AreaQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AreaQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AreaQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 祖级列表，逗号分隔
    * @param ancestors
    */
    public AreaQuery ancestors(String ancestors){
        setAncestors(ancestors);
		return this;
    }

    /**
    * 设置 祖级列表，逗号分隔
    * @param ancestorsList
    */
    public AreaQuery ancestorsList(List<String> ancestorsList){
        this.ancestorsList = ancestorsList;
		return this;
    }


	/**
    * 设置 区域名称
    * @param name
    */
    public AreaQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 区域名称
    * @param nameList
    */
    public AreaQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 一体化的ID号
    * @param iid
    */
    public AreaQuery iid(String iid){
        setIid(iid);
		return this;
    }

    /**
    * 设置 一体化的ID号
    * @param iidList
    */
    public AreaQuery iidList(List<String> iidList){
        this.iidList = iidList;
		return this;
    }


	/**
    * 设置 一体化的父id
    * @param pid
    */
    public AreaQuery pid(String pid){
        setPid(pid);
		return this;
    }

    /**
    * 设置 一体化的父id
    * @param pidList
    */
    public AreaQuery pidList(List<String> pidList){
        this.pidList = pidList;
		return this;
    }


	/**
    * 设置 是否有下级区域（True.是，False.否）
    * @param haveSonArea
    */
    public AreaQuery haveSonArea(String haveSonArea){
        setHaveSonArea(haveSonArea);
		return this;
    }

    /**
    * 设置 是否有下级区域（True.是，False.否）
    * @param haveSonAreaList
    */
    public AreaQuery haveSonAreaList(List<String> haveSonAreaList){
        this.haveSonAreaList = haveSonAreaList;
		return this;
    }


	/**
    * 设置 是否有下级部门（True.是，False.否）
    * @param haveSonDept
    */
    public AreaQuery haveSonDept(String haveSonDept){
        setHaveSonDept(haveSonDept);
		return this;
    }

    /**
    * 设置 是否有下级部门（True.是，False.否）
    * @param haveSonDeptList
    */
    public AreaQuery haveSonDeptList(List<String> haveSonDeptList){
        this.haveSonDeptList = haveSonDeptList;
		return this;
    }


	/**
    * 设置 是否获取部门（true.是，false.否）
    * @param haveGetDept
    */
    public AreaQuery haveGetDept(String haveGetDept){
        setHaveGetDept(haveGetDept);
		return this;
    }

    /**
    * 设置 是否获取部门（true.是，false.否）
    * @param haveGetDeptList
    */
    public AreaQuery haveGetDeptList(List<String> haveGetDeptList){
        this.haveGetDeptList = haveGetDeptList;
		return this;
    }


	/**
    * 设置 是否获取事项列表（true.是，false.否）
    * @param haveGetMatterList
    */
    public AreaQuery haveGetMatterList(String haveGetMatterList){
        setHaveGetMatterList(haveGetMatterList);
		return this;
    }

    /**
    * 设置 是否获取事项列表（true.是，false.否）
    * @param haveGetMatterListList
    */
    public AreaQuery haveGetMatterListList(List<String> haveGetMatterListList){
        this.haveGetMatterListList = haveGetMatterListList;
		return this;
    }


	/**
    * 设置 区域编码
    * @param areaCode
    */
    public AreaQuery areaCode(String areaCode){
        setAreaCode(areaCode);
		return this;
    }

    /**
    * 设置 区域编码
    * @param areaCodeList
    */
    public AreaQuery areaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
		return this;
    }

    /**
    * 设置  区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    * @param areaLevel
    */
    public AreaQuery areaLevel(Integer areaLevel){
	    setAreaLevel(areaLevel);
		return this;
    }
	
	 /**
    * 设置 开始 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    * @param areaLevelStart
    */
    public AreaQuery areaLevelStart(Integer areaLevelStart){
		this.areaLevelStart = areaLevelStart;
		return this;
    }

    /**
    * 设置 结束 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    * @param areaLevelEnd
    */
    public AreaQuery areaLevelEnd(Integer areaLevelEnd){
		this.areaLevelEnd = areaLevelEnd;
		return this;
    }

    /**
    * 设置 增加 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    * @param areaLevelIncrement
    */
    public AreaQuery areaLevelIncrement(Integer areaLevelIncrement){
		this.areaLevelIncrement = areaLevelIncrement;
		return this;
    }

    /**
    * 设置 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
    * @param areaLevelList
    */
    public AreaQuery areaLevelList(List<Integer> areaLevelList){
        this.areaLevelList = areaLevelList;
		return this;
        }


	/**
    * 设置 名称简称
    * @param shortName
    */
    public AreaQuery shortName(String shortName){
        setShortName(shortName);
		return this;
    }

    /**
    * 设置 名称简称
    * @param shortNameList
    */
    public AreaQuery shortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
		return this;
    }


	/**
    * 设置 访问地址
    * @param domain
    */
    public AreaQuery domain(String domain){
        setDomain(domain);
		return this;
    }

    /**
    * 设置 访问地址
    * @param domainList
    */
    public AreaQuery domainList(List<String> domainList){
        this.domainList = domainList;
		return this;
    }

    /**
    * 设置  区域状态 (0.停用，1.正常)
    * @param status
    */
    public AreaQuery status(Integer status){
	    setStatus(status);
		return this;
    }
	
	 /**
    * 设置 开始 区域状态 (0.停用，1.正常)
    * @param statusStart
    */
    public AreaQuery statusStart(Integer statusStart){
		this.statusStart = statusStart;
		return this;
    }

    /**
    * 设置 结束 区域状态 (0.停用，1.正常)
    * @param statusEnd
    */
    public AreaQuery statusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
		return this;
    }

    /**
    * 设置 增加 区域状态 (0.停用，1.正常)
    * @param statusIncrement
    */
    public AreaQuery statusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
		return this;
    }

    /**
    * 设置 区域状态 (0.停用，1.正常)
    * @param statusList
    */
    public AreaQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AreaQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AreaQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AreaQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AreaQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AreaQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AreaQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AreaQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AreaQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AreaQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}